KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm config validate - Read a file containing the kubeadm configuration API and report any validation problems

SYNOPSIS
kubeadm config validate [OPTIONS]

DESCRIPTION
This command lets you validate a kubeadm configuration API file and report any warnings and errors. If there are no errors the exit status will be zero, otherwise it will be non-zero. Any unmarshaling problems such as unknown API fields will trigger errors. Unknown API versions and fields with invalid values will also trigger errors. Any other errors or warnings may be reported depending on contents of the input file.

In this version of kubeadm, the following API versions are supported: - kubeadm.k8s.io/v1beta4

OPTIONS
--allow-experimental-api=false
    Allow validation of experimental, unreleased APIs.

--config=""
    Path to a kubeadm configuration file.

OPTIONS INHERITED FROM PARENT COMMANDS
--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-config(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!